Lavalite package that provides funil management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `crm/funil`.

    "crm/funil": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Crm\Funil\Providers\FunilServiceProvider::class,

And also add it to alias

    'Funil'  => Crm\Funil\Facades\Funil::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Crm\\FunilTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Crm\Funil\Providers\FunilServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Crm\Funil\Providers\FunilServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Crm\Funil\Providers\FunilServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/funil/{modulename}

**User**

    http://path-to-route-folder/user/funil/{modulename}

**Public**

    http://path-to-route-folder/funils


### API endpoints

**List**

    http://path-to-route-folder/api/user/funil/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/funil/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/funil/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/funil/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/funil/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/funil/{modulename}/{slug}
    METHOD: GET