<?php

// API routes  for funil
Route::prefix('{guard}/funil')->group(function () {
    Route::get('funil/form/{element}', 'FunilAPIController@form');
    Route::resource('funil', 'FunilAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for funils
            Route::prefix('{guard}/funil')->group(function () {
                Route::get('funil/form/{element}', 'FunilAPIController@form');
                Route::apiResource('funil', 'FunilAPIController');
            });
            // Public routes for funils
            Route::get('funil/Funil', 'FunilPublicController@getFunil');
        }
    );
}

