<?php

// web routes  for funil
Route::prefix('{guard}/funil')->group(function () {
    Route::resource('funil', 'FunilResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'FunilResourceController');
            });
            // Public routes for pages
            Route::get('funils/', 'FunilPublicController@index');
            Route::get('funils/{slug?}', 'FunilPublicController@show');
        }
    );
}

