<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'crm',

    /*
     * Package.
     */
    'package'   => 'funil',

    /*
     * Modules.
     */
    'modules'   => ['funil'],

    
    'funil'       => [
        'model' => [
            'model'                 => \Crm\Funil\Models\Funil::class,
            'table'                 => 'funils',
            'presenter'             => \Crm\Funil\Repositories\Presenter\FunilPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['Description'],
            'translatables'         => [],
            'upload_folder'         => 'funil/funil',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Crm',
            'package'   => 'Funil',
            'module'    => 'Funil',
        ],

    ],
];
