<?php

namespace Crm\Funil;

use DB;
use Illuminate\Database\Seeder;

class FunilTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('funils')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'funil.funil.view',
                'name'      => 'View Funil',
            ],
            [
                'slug'      => 'funil.funil.create',
                'name'      => 'Create Funil',
            ],
            [
                'slug'      => 'funil.funil.edit',
                'name'      => 'Update Funil',
            ],
            [
                'slug'      => 'funil.funil.delete',
                'name'      => 'Delete Funil',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/funil/funil',
                'name'        => 'Funil',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/funil/funil',
                'name'        => 'Funil',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'funil',
                'name'        => 'Funil',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Funil',
                'module'    => 'Funil',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'funil.funil.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
